Skip to content
GET/{organizationId}/work/todo/items/{itemId}/comments

List todo comments

Lists comments of a todo in chronological order

Path Parameters

organizationIdstringrequired
itemIdstringrequired

Query Parameters

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

limitintegeroptional

Default: 20

minimum: 1

maximum: 20

Authentication: X-API-Key

Request

GET/{organizationId}/work/todo/items/{itemId}/comments
curl --request GET 'https://cloud.campai.com/api/{organizationId}/work/todo/items/{itemId}/comments' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

hasMorebooleanrequired

Response

200
{
  "comments": [
    {
      "_id": "000000000000000000000001",
      "organization": "000000000000000000000001",
      "todoItem": "000000000000000000000001",
      "description": "string",
      "attachments": [
        {
          "resource": "string",
          "id": "string"
        }
      ]
    }
  ],
  "hasMore": true
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}